{
  pkgs,
  ...
}:
{
  environment.systemPackages =
    with pkgs;
    let
      # kicad
      kicad = pkgs.kicad.override {
        addons = with pkgs.kicadAddons; [
          kikit
          kikit-library
        ];
      };
    in
    [
      # general
      gef
      gdb
      binwalk
      sops
      nil
      nix-index
      kicad
      kikit
      freecad-qt6
      imhex
      python3Full
      nixfmt-rfc-style
      treefmt
      android-tools
    ];

  # android stuff
  services.udev.packages = [
    pkgs.android-udev-rules
  ];
  # Wireshark
  programs.wireshark = {
    enable = true;
    package = pkgs.wireshark;
  };
  users.users."0xa".extraGroups = [ "wireshark" ];

  programs.direnv.enable = true;
}
